WITH   Gnat.IO ;  USE Gnat.IO;

PROCEDURE   CharTb24  IS
BEGIN
   Put_Line (   "CODE   CHAR"   );
   Put_Line (   "-----------"   );

   ----- LOOP , On each char
   FOR i in 0..255 LOOP
      Put (   i   );
      Put (   "   "   );

      ----- Write char  ( Ignoring problem chars )
      CASE i IS
         WHEN 0  =>   Put (   "-"   );      --- EOF   End Of File
         WHEN 7  =>   Put (   "-"   );      --- BEL   Bell
         WHEN 8  =>   Put (   "-"   );      --- BS    Backspace
         WHEN 9  =>   Put (   "-"   );      --- HT    Tabulation
         WHEN 10 =>   Put (   "-"   );      --- LF    Line Feed
         WHEN 13 =>   Put (   "-"   );      --- CR    Carriage Return
         WHEN 26 =>   Put (   "-"   );      --- ??
         WHEN OTHERS =>
            Put (   Character'Val(i)   );
      END CASE;

      New_Line ;
   END LOOP;
END;
